Loading...
Searching...
No Matches
_PedDevice Struct Reference
PedDevice

A block device - for example, /dev/hda, not /dev/hda3. More...

`#include <device.h>`

## Data Fields

void * | arch_specific
PedCHSGeometry | bios_geom
int | boot_dirty
short | did
int | dirty
int | external_mode
short | host
PedCHSGeometry | hw_geom
PedSector | length
| device length (LBA)
char * | model
| description of hardware (manufacturer, model)
PedDevice * | next
int | open_count
| the number of times this device has been opened with ped_device_open().
char * | path
| device /dev entry
long long | phys_sector_size
| physical sector size
int | read_only
long long | sector_size
| logical sector size
PedDeviceType | type
| SCSI, IDE, etc.

## Detailed Description

A block device - for example, /dev/hda, not /dev/hda3.

## Field Documentation

## arch_specific

void * _PedDevice::arch_specific

## bios_geom

PedCHSGeometry _PedDevice::bios_geom

## boot_dirty

int _PedDevice::boot_dirty

## did

short _PedDevice::did

## dirty

int _PedDevice::dirty

## external_mode

int _PedDevice::external_mode

## host

short _PedDevice::host

## hw_geom

PedCHSGeometry _PedDevice::hw_geom

## length

PedSector _PedDevice::length

device length (LBA)

## model

char * _PedDevice::model

description of hardware (manufacturer, model)

## next

PedDevice * _PedDevice::next

## open_count

int _PedDevice::open_count

the number of times this device has been opened with ped_device_open().

## path

char * _PedDevice::path

device /dev entry

## phys_sector_size

long long _PedDevice::phys_sector_size

physical sector size

## read_only

int _PedDevice::read_only

## sector_size

long long _PedDevice::sector_size

logical sector size

## type

PedDeviceType _PedDevice::type

SCSI, IDE, etc.

See also
  PedDeviceType

The documentation for this struct was generated from the following files:

- include/parted/device.h
- include/parted/device.in.h